summaryrefslogtreecommitdiffstats
path: root/configure
diff options
context:
space:
mode:
authorBill Wendling <wendling@ncsa.uiuc.edu>2003-10-13 21:02:29 (GMT)
committerBill Wendling <wendling@ncsa.uiuc.edu>2003-10-13 21:02:29 (GMT)
commitfbebe36aea4a42a4d5866b476fb5e1933ea70411 (patch)
tree32255be765f4e6b8c78ba0eb2deff1bdf138eccd /configure
parent87cb207125420d67818e9e5a7a0d41c7f18a86a7 (diff)
downloadhdf5-fbebe36aea4a42a4d5866b476fb5e1933ea70411.zip
hdf5-fbebe36aea4a42a4d5866b476fb5e1933ea70411.tar.gz
hdf5-fbebe36aea4a42a4d5866b476fb5e1933ea70411.tar.bz2
[svn-r7619] Purpose:
Add check Description: Added check that the tr program actually works. Platforms tested: Sol (small fix) Misc. update:
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure20
1 files changed, 16 insertions, 4 deletions
diff --git a/configure b/configure
index 99d909a..76eb4cb 100755
--- a/configure
+++ b/configure
@@ -1515,6 +1515,18 @@ set >&5
echo "$as_me:$LINENO: result: done" >&5
echo "${ECHO_T}done" >&6
+echo "$as_me:$LINENO: checking if tr works" >&5
+echo $ECHO_N "checking if tr works... $ECHO_C" >&6
+TRTEST=`echo "Test" | tr 'a-z,' 'A-Z '`
+if test $TRTEST != "TEST"; then
+ { { echo "$as_me:$LINENO: error: tr program doesn't work" >&5
+echo "$as_me: error: tr program doesn't work" >&2;}
+ { (exit 1); exit 1; }; }
+else
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+fi
+
echo "$as_me:$LINENO: checking for cached host" >&5
echo $ECHO_N "checking for cached host... $ECHO_C" >&6
if test "${hdf5_cv_host+set}" = set; then
@@ -4113,7 +4125,7 @@ test "x$enable_libtool_lock" != xno && enable_libtool_lock=yes
case $host in
*-*-irix6*)
# Find out which ABI we are using.
- echo '#line 4116 "configure"' > conftest.$ac_ext
+ echo '#line 4128 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -4654,7 +4666,7 @@ chmod -w .
save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS -o out/conftest2.$ac_objext"
compiler_c_o=no
-if { (eval echo configure:4657: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then
+if { (eval echo configure:4669: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
if test -s out/conftest.err; then
@@ -6461,7 +6473,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 6464 "configure"
+#line 6476 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -6559,7 +6571,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 6562 "configure"
+#line 6574 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H